Obtener dispositivo
curl --request GET \
--url https://api.locatebyteli.com/devices/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.locatebyteli.com/devices/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.locatebyteli.com/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"model": "660e8400-e29b-41d4-a716-446655440000",
"alias": "Mi Vehículo",
"properties": { "picture": "url", "plate": "ABC-123" },
"serial": "123456789012",
"imei": "123456789012345",
"iccid": "8931440000000000000",
"state": "stopped",
"location": [19.4326, -99.1332],
"connected": true,
"connected_at": "2026-03-18T10:00:00Z",
"disconnected_at": "2026-03-17T22:00:00Z",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2026-03-18T10:00:00Z"
}
Dispositivos
Obtener dispositivo
Obtiene los detalles de un dispositivo específico
GET
/
devices
/
{id}
Obtener dispositivo
Authorization
string
default:"Bearer "
required
API Key. Formato:
Bearer lbt_•••Path Parameters
uuid
required
ID del dispositivo
Respuesta
uuid
ID del registro dispositivo-cuenta
uuid
ID del modelo/tipo de dispositivo
string
Nombre asignado por el usuario
object
Propiedades personalizadas (foto, placa, VIN, etc.)
string
Número de serie del dispositivo
string
IMEI del dispositivo
string
ICCID de la SIM asociada
string
Estado del dispositivo:
off, moving, stopped, suspended, unlink, stolen, newarray
Coordenadas
[latitud, longitud]boolean
Si el dispositivo está conectado actualmente
datetime
Última fecha de conexión
datetime
Última fecha de desconexión
datetime
Fecha de creación del registro
datetime
Última actualización
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"model": "660e8400-e29b-41d4-a716-446655440000",
"alias": "Mi Vehículo",
"properties": { "picture": "url", "plate": "ABC-123" },
"serial": "123456789012",
"imei": "123456789012345",
"iccid": "8931440000000000000",
"state": "stopped",
"location": [19.4326, -99.1332],
"connected": true,
"connected_at": "2026-03-18T10:00:00Z",
"disconnected_at": "2026-03-17T22:00:00Z",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2026-03-18T10:00:00Z"
}
Comportamiento
- El usuario debe tener acceso al dispositivo a través de sus grupos
- Si el dispositivo está en estado
"moving", actualiza la ubicación en tiempo real
Errores
| Código | Descripción |
|---|---|
404 | Dispositivo no encontrado o sin acceso |
504 | Timeout en la consulta |
⌘I